package org.dromara.payment.merchant.service;

import org.dromara.payment.merchant.domain.BusMerchantFlows;
import org.dromara.payment.merchant.domain.vo.BusMerchantAccountVo;
import org.dromara.payment.merchant.domain.vo.BusMerchantFlowsVo;
import org.dromara.payment.merchant.domain.bo.BusMerchantFlowsBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.settlement.api.domain.AccountSyn;

import java.util.Collection;
import java.util.List;

/**
 * 商户流水Service接口
 *
 * @author LionLi
 * @date 2024-04-03
 */
public interface IBusMerchantFlowsService {

    /**
     * 查询商户流水
     */
    BusMerchantFlowsVo queryById(Long id);

    /**
     * 查询商户流水列表
     */
    TableDataInfo<BusMerchantFlowsVo> queryPageList(BusMerchantFlowsBo bo, PageQuery pageQuery);

    /**
     * 查询商户流水列表
     */
    List<BusMerchantFlowsVo> queryList(BusMerchantFlowsBo bo);

    /**
     * 新增商户流水
     */
    Boolean insertByBo(BusMerchantFlowsBo bo);

    /**
     * 修改商户流水
     */
    Boolean updateByBo(BusMerchantFlowsBo bo);

    /**
     * 校验并批量删除商户流水信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    Long saveFlows(BusMerchantAccountVo acc, AccountSyn syn);
}
